## 导航SDK v6.3.0（2023-05-31）

1. TNKCoordnatePoint重写isEqual与hash方法

2. 适配横屏。可参考Demo中的示例进行APP开发

3. TNKDriveRoute新增参数,

	```
	/**
 	* @brief 路线预计收费路段的里程，单位:米
 	* @since 6.3.0
 	*/
	@property (nonatomic, readonly) int tollDistance;
	```

4. 新增路线上违反交规的信息

 - TNKDriveRoute新增参数,

	```
	/**
 	* @brief 违反交规信息类列表
 	* @since 6.3.0
 	*/
	@property (nonatomic, readonly) NSArray<TNKTurnRestrictionItem *> *turnRestrictionItems;

	/**
 	* @brief 违反货车限制交规信息列表
 	* @since 6.3.0
 	*/
	@property (nonatomic, readonly) NSArray<TNKTruckRestrictionItem *> *truckRestrictionItems;
	```

	- TNKNavigationData新增属性,

	```
	/**
 	* @brief 前方违反货车限制交规实时信息
 	* @since 6.3.0
 	*/
	@property (nonatomic, readonly) TNKNavRestrictionInfo *navRestrictionInfo;
	```

	
5. TNKDriveNavView重新设计修改放大图配置方法,

	```
	/**
	 * @brief 放大图相关配置
	 * @since 6.2.0
	 */
	@property (nonatomic, readonly) TNKEnlargedMapConfig *enlargedMapConfig;
	
	
	/**
	 * @brief 更新放大图配置
	 * @param enlargedMapConfig 放大图配置，不可为nil
	 * @since 6.2.0
	 */
	- (void)updateEnlargedMapConfig:(TNKEnlargedMapConfig *)enlargedMapConfig;
	```
	
	```
	/**
	 *  @brief 放大图配置类
	 */
	@interface TNKEnlargedMapConfig : NSObject <NSCopying>
	
	/**
	 *  @brief 设置在3D车头朝上和2D地图朝北模式下 显示/隐藏路口放大图. 默认为YES
	 *         注意不管此参数如何设置，在全览模式和剩余全览模式下都会隐藏.
	 */
	@property (nonatomic, assign) BOOL enlargedMapEnabled;
	
	/**
	 * @brief 路口放大图摆放位置。rect.orgin.x, rect.origin.y, rect.size.width生效, 高由enlargedIntersectionAspect决定
	 *        当前正在展示路口放大图时，修改不会立即生效，下次展示路口放大图时生效
	 */
	@property (nonatomic, assign) CGRect enlargedMapRect;
	
	/**
	 * @brief 路口放大图宽高比，取值范围[1.0 , 2.0], 默认值为kTNKEnlargedIntersectionAspect。
	 */
	@property (nonatomic, assign) CGFloat enlargedMapAspect;
	
	/**
	 * @brief 路口放大图中顶部的进度条是否展示，默认为YES
	 */
	@property (nonatomic, assign) BOOL showEnlargedMapProgressView;
	
	/**
	 * @brief 路口放大图左下圆角，默认为20
	 */
	@property (nonatomic, assign) float bottomLeftCornerRadius;
	
	/**
	 * @brief 路口放大图右下圆角，默认为20
	 */
	@property (nonatomic, assign) float bottomRightCornerRadius;
	
	
	/**
	 * @brief 路口放大图左下圆角，默认为0
	 */
	@property (nonatomic, assign) float topLeftCornerRadius;
	
	/**
	 * @brief 路口放大图右下圆角，默认为0
	 */
	@property (nonatomic, assign) float topRightCornerRadius;
	
	@end
	```
	
6. 新增智能定位功能，在无法获得GPS信号时进行智能导航。